Retrieve Email
Retrieve a single email by its ID.
GET
/emails/{email_id}Resend Compatibility: Compatible
Path Parameters
email_idstringrequiredThe ID of the email to retrieve.
Response Fields
objectstringAlways "email".
idstringThe email ID.
tostring[]List of recipient email addresses.
fromstringSender email address.
created_atstringISO 8601 timestamp of when the email was created.
subjectstringEmail subject line.
htmlstring | nullHTML body content.
textstring | nullPlain text body content.
bccstring[]BCC recipient email addresses.
ccstring[]CC recipient email addresses.
reply_tostring[]Reply-to email addresses.
last_eventstringThe last event status (e.g. queued, sent, delivered, bounced, complained).
scheduled_atstring | nullISO 8601 timestamp of when the email is scheduled to be sent.
curl -X GET 'https://api.postflare.app/emails/49a3999c-0ce1-4ea6-ab68-afcd6dc2e794' \
-H 'Authorization: Bearer re_xxxxxxxxx'import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.emails.get(
'49a3999c-0ce1-4ea6-ab68-afcd6dc2e794'
);Response
{
"object": "email",
"id": "49a3999c-0ce1-4ea6-ab68-afcd6dc2e794",
"to": ["user@example.com"],
"from": "Acme <hello@acme.com>",
"created_at": "2026-01-01T00:00:00.000Z",
"subject": "Hello World",
"html": "<p>Hello!</p>",
"text": "Hello!",
"bcc": [],
"cc": [],
"reply_to": [],
"last_event": "delivered",
"scheduled_at": null
}